<?php
/**
 * Multipurpose Blog Theme Customizer
 *
 * @package Multipurpose Blog
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function multipurpose_blog_customize_register( $wp_customize ) {	

	//add home page setting pannel
	$wp_customize->add_panel( 'multipurpose_blog_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'multipurpose-blog' ),
	    'description' => __( 'Description of what this panel does.', 'multipurpose-blog' ),
	) );

	//layout setting
	$wp_customize->add_section( 'multipurpose_blog_left_right', array(
    	'title'      => __( 'Layout Settings', 'multipurpose-blog' ),
		'panel' => 'multipurpose_blog_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('multipurpose_blog_theme_options',array(
        'default' => __('Right Sidebar','multipurpose-blog'),
        'sanitize_callback' => 'multipurpose_blog_sanitize_choices'	        
    ) );
	$wp_customize->add_control('multipurpose_blog_theme_options',array(
        'type' => 'radio',
        'label' => __('Do you want this section','multipurpose-blog'),
        'section' => 'multipurpose_blog_left_right',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','multipurpose-blog'),
            'Right Sidebar' => __('Right Sidebar','multipurpose-blog'),
            'One Column' => __('One Column','multipurpose-blog'),
            'Three Columns' => __('Three Columns','multipurpose-blog'),
            'Four Columns' => __('Four Columns','multipurpose-blog'),
            'Grid Layout' => __('Grid Layout','multipurpose-blog')
        ),
	) );

	$font_array = array(
		''                       => 'No Fonts',
		'Abril Fatface'          => 'Abril Fatface',
		'Acme'                   => 'Acme',
		'Anton'                  => 'Anton',
		'Architects Daughter'    => 'Architects Daughter',
		'Arimo'                  => 'Arimo',
		'Arsenal'                => 'Arsenal',
		'Arvo'                   => 'Arvo',
		'Alegreya'               => 'Alegreya',
		'Alfa Slab One'          => 'Alfa Slab One',
		'Averia Serif Libre'     => 'Averia Serif Libre',
		'Bangers'                => 'Bangers',
		'Boogaloo'               => 'Boogaloo',
		'Bad Script'             => 'Bad Script',
		'Bitter'                 => 'Bitter',
		'Bree Serif'             => 'Bree Serif',
		'BenchNine'              => 'BenchNine',
		'Cabin'                  => 'Cabin',
		'Cardo'                  => 'Cardo',
		'Courgette'              => 'Courgette',
		'Cherry Swash'           => 'Cherry Swash',
		'Cormorant Garamond'     => 'Cormorant Garamond',
		'Crimson Text'           => 'Crimson Text',
		'Cuprum'                 => 'Cuprum',
		'Cookie'                 => 'Cookie',
		'Chewy'                  => 'Chewy',
		'Days One'               => 'Days One',
		'Dosis'                  => 'Dosis',
		'Droid Sans'             => 'Droid Sans',
		'Economica'              => 'Economica',
		'Fredoka One'            => 'Fredoka One',
		'Fjalla One'             => 'Fjalla One', 
		'Francois One'           => 'Francois One',
		'Frank Ruhl Libre'       => 'Frank Ruhl Libre',
		'Gloria Hallelujah'      => 'Gloria Hallelujah',
		'Great Vibes'            => 'Great Vibes',
		'Handlee'                => 'Handlee',
		'Hammersmith One'        => 'Hammersmith One',
		'Inconsolata'            => 'Inconsolata',
		'Indie Flower'           => 'Indie Flower', 
		'IM Fell English SC'     => 'IM Fell English SC',
		'Julius Sans One'        => 'Julius Sans One',
		'Josefin Slab'           => 'Josefin Slab',
		'Josefin Sans'           => 'Josefin Sans',
		'Kanit'                  => 'Kanit', 
		'Lobster'                => 'Lobster',
		'Lato'                   => 'Lato',
		'Lora'                   => 'Lora',
		'Libre Baskerville'      => 'Libre Baskerville',
		'Lobster Two'            => 'Lobster Two', 
		'Merriweather'           => 'Merriweather',
		'Monda'                  => 'Monda', 
		'Montserrat'             => 'Montserrat',
		'Muli'                   => 'Muli', 
		'Marck Script'           => 'Marck Script', 
		'Noto Serif'             => 'Noto Serif', 
		'Open Sans'              => 'Open Sans', 
		'Overpass'               => 'Overpass',
		'Overpass Mono'          => 'Overpass Mono',
		'Oxygen'                 => 'Oxygen', 
		'Orbitron'               => 'Orbitron',
		'Patua One'              => 'Patua One',
		'Pacifico'               => 'Pacifico',
		'Padauk'                 => 'Padauk',
		'Playball'               => 'Playball',
		'Playfair Display'       => 'Playfair Display', 
		'PT Sans'                => 'PT Sans',
		'Philosopher'            => 'Philosopher',
		'Permanent Marker'       => 'Permanent Marker',
		'Poiret One'             => 'Poiret One',
		'Quicksand'              => 'Quicksand',
		'Quattrocento Sans'      => 'Quattrocento Sans',
		'Raleway'                => 'Raleway',
		'Rubik'                  => 'Rubik', 
		'Rokkitt'                => 'Rokkitt',
		'Russo One'              => 'Russo One',
		'Righteous'              => 'Righteous',
		'Slabo'                  => 'Slabo', 
		'Source Sans Pro'        => 'Source Sans Pro',
		'Shadows Into Light Two' => 'Shadows Into Light Two', 
		'Shadows Into Light'     => 'Shadows Into Light',
		'Sacramento'             => 'Sacramento',
		'Shrikhand'              => 'Shrikhand',
		'Tangerine'              => 'Tangerine',
		'Ubuntu'                 => 'Ubuntu',
		'VT323'                  => 'VT323',
		'Varela Round'           => 'Varela Round',
		'Vampiro One'            => 'Vampiro One',
		'Vollkorn'               => 'Vollkorn', 
		'Volkhov'                => 'Volkhov',
		'Yanone Kaffeesatz'      => 'Yanone Kaffeesatz'
	);

	//Typography
	$wp_customize->add_section('multipurpose_blog_typography', array(
		'title'    => __('Typography', 'multipurpose-blog'),
		'panel'    => 'multipurpose_blog_panel_id',
	));

	// This is Paragraph Color picker setting
	$wp_customize->add_setting('multipurpose_blog_paragraph_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_paragraph_color', array(
		'label'    => __('Paragraph Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_paragraph_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control(	'multipurpose_blog_paragraph_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('Paragraph Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	$wp_customize->add_setting('multipurpose_blog_paragraph_font_size', array(
		'default'           => '12px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('multipurpose_blog_paragraph_font_size', array(
		'label'   => __('Paragraph Font Size', 'multipurpose-blog'),
		'section' => 'multipurpose_blog_typography',
		'setting' => 'multipurpose_blog_paragraph_font_size',
		'type'    => 'text',
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting('multipurpose_blog_atag_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_atag_color', array(
		'label'    => __('"a" Tag Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_atag_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control(	'multipurpose_blog_atag_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('"a" Tag Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting('multipurpose_blog_li_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_li_color', array(
		'label'    => __('"li" Tag Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_li_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control(	'multipurpose_blog_li_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('"li" Tag Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting('multipurpose_blog_h1_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_h1_color', array(
		'label'    => __('H1 Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_h1_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control('multipurpose_blog_h1_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('H1 Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('multipurpose_blog_h1_font_size', array(
		'default'           => '50px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('multipurpose_blog_h1_font_size', array(
		'label'   => __('H1 Font Size', 'multipurpose-blog'),
		'section' => 'multipurpose_blog_typography',
		'setting' => 'multipurpose_blog_h1_font_size',
		'type'    => 'text',
	));
	// This is H2 Color picker setting
	$wp_customize->add_setting('multipurpose_blog_h2_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_h2_color', array(
		'label'    => __('h2 Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_h2_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control(
	'multipurpose_blog_h2_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('h2 Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('multipurpose_blog_h2_font_size', array(
		'default'           => '45px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('multipurpose_blog_h2_font_size', array(
		'label'   => __('H2 Font Size', 'multipurpose-blog'),
		'section' => 'multipurpose_blog_typography',
		'setting' => 'multipurpose_blog_h2_font_size',
		'type'    => 'text',
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting('multipurpose_blog_h3_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_h3_color', array(
		'label'    => __('H3 Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_h3_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control(
	'multipurpose_blog_h3_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('H3 Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('multipurpose_blog_h3_font_size', array(
		'default'           => '36px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('multipurpose_blog_h3_font_size', array(
		'label'   => __('H3 Font Size', 'multipurpose-blog'),
		'section' => 'multipurpose_blog_typography',
		'setting' => 'multipurpose_blog_h3_font_size',
		'type'    => 'text',
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting('multipurpose_blog_h4_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_h4_color', array(
		'label'    => __('H4 Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_h4_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control('multipurpose_blog_h4_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('H4 Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('multipurpose_blog_h4_font_size', array(
		'default'           => '30px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('multipurpose_blog_h4_font_size', array(
		'label'   => __('H4 Font Size', 'multipurpose-blog'),
		'section' => 'multipurpose_blog_typography',
		'setting' => 'multipurpose_blog_h4_font_size',
		'type'    => 'text',
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting('multipurpose_blog_h5_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_h5_color', array(
		'label'    => __('H5 Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_h5_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control('multipurpose_blog_h5_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('H5 Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('multipurpose_blog_h5_font_size', array(
		'default'           => '25px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('multipurpose_blog_h5_font_size', array(
		'label'   => __('H5 Font Size', 'multipurpose-blog'),
		'section' => 'multipurpose_blog_typography',
		'setting' => 'multipurpose_blog_h5_font_size',
		'type'    => 'text',
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting('multipurpose_blog_h6_color', array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_h6_color', array(
		'label'    => __('H6 Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_typography',
		'settings' => 'multipurpose_blog_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('multipurpose_blog_h6_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
	));
	$wp_customize->add_control('multipurpose_blog_h6_font_family', array(
		'section' => 'multipurpose_blog_typography',
		'label'   => __('H6 Fonts', 'multipurpose-blog'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('multipurpose_blog_h6_font_size', array(
		'default'           => '18px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('multipurpose_blog_h6_font_size', array(
		'label'   => __('H6 Font Size', 'multipurpose-blog'),
		'section' => 'multipurpose_blog_typography',
		'setting' => 'multipurpose_blog_h6_font_size',
		'type'    => 'text',
	));

	//Global Color
	$wp_customize->add_section('multipurpose_blog_global_color', array(
		'title'    => __('Theme Color Option', 'multipurpose-blog'),
		'panel'    => 'multipurpose_blog_panel_id',
	));

	$wp_customize->add_setting('multipurpose_blog_hi_first_color', array(
		'default'           => '#59A101',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'multipurpose_blog_hi_first_color', array(
		'label'    => __('Highlight Color', 'multipurpose-blog'),
		'section'  => 'multipurpose_blog_global_color',
		'settings' => 'multipurpose_blog_hi_first_color',
	)));

	//Blog Post Settings
	$wp_customize->add_section('multipurpose_blog_post_settings', array(
		'title'    => __('Post General Settings', 'multipurpose-blog'),
		'panel'    => 'multipurpose_blog_panel_id',
	));

	$wp_customize->add_setting('multipurpose_blog_metafields_date',array(
       'default' => 'true',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('multipurpose_blog_metafields_date',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Date ','multipurpose-blog'),
       'section' => 'multipurpose_blog_post_settings'
    ));

    $wp_customize->add_setting('multipurpose_blog_metafields_author',array(
       'default' => 'true',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('multipurpose_blog_metafields_author',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Author','multipurpose-blog'),
       'section' => 'multipurpose_blog_post_settings'
    ));

    $wp_customize->add_setting('multipurpose_blog_metafields_comment',array(
       'default' => 'true',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('multipurpose_blog_metafields_comment',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Comments','multipurpose-blog'),
       'section' => 'multipurpose_blog_post_settings'
    ));

    //Post excerpt
	$wp_customize->add_setting( 'multipurpose_blog_post_excerpt_number', array(
		'default'              => 30,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'multipurpose_blog_post_excerpt_number', array(
		'label'       => esc_html__( 'Blog Post Content Limit','multipurpose-blog' ),
		'section'     => 'multipurpose_blog_post_settings',
		'type'        => 'number',
		'settings'    => 'multipurpose_blog_post_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

    //Topbar section
	$wp_customize->add_section('multipurpose_blog_topbar',array(
		'title'	=> __('Topbar Section','multipurpose-blog'),
		'description'	=> __('Add Header Content here','multipurpose-blog'),
		'panel' => 'multipurpose_blog_panel_id',
	));

	$wp_customize->add_setting('multipurpose_blog_contact',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_blog_contact',array(
		'label'	=> __('Add Phone Number','multipurpose-blog'),
		'section'	=> 'multipurpose_blog_topbar',
		'setting'	=> 'multipurpose_blog_contact',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('multipurpose_blog_email',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_blog_email',array(
		'label'	=> __('Add Email','multipurpose-blog'),
		'section'	=> 'multipurpose_blog_topbar',
		'setting'	=> 'multipurpose_blog_email',
		'type'		=> 'text'
	));

	//Social Icons(topbar)
	$wp_customize->add_section('multipurpose_blog_topbar_header',array(
		'title'	=> __('Social Icon Section','multipurpose-blog'),
		'description'	=> __('Add Social Link here','multipurpose-blog'),
		'panel' => 'multipurpose_blog_panel_id',
	));

	$wp_customize->add_setting('multipurpose_blog_cont_facebook',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_blog_cont_facebook',array(
		'label'	=> __('Add Facebook link','multipurpose-blog'),
		'section'	=> 'multipurpose_blog_topbar_header',
		'setting'	=> 'multipurpose_blog_cont_facebook',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('multipurpose_blog_cont_twitter',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_blog_cont_twitter',array(
		'label'	=> __('Add Twitter link','multipurpose-blog'),
		'section'	=> 'multipurpose_blog_topbar_header',
		'setting'	=> 'multipurpose_blog_cont_twitter',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('multipurpose_blog_google_plus',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_blog_google_plus',array(
		'label'	=> __('Add Google Plus link','multipurpose-blog'),
		'section'	=> 'multipurpose_blog_topbar_header',
		'setting'	=> 'multipurpose_blog_google_plus',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('multipurpose_blog_pinterest',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_blog_pinterest',array(
		'label'	=> __('Add Pintrest link','multipurpose-blog'),
		'section'	=> 'multipurpose_blog_topbar_header',
		'setting'	=> 'multipurpose_blog_pinterest',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('multipurpose_blog_tumblr',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('multipurpose_blog_tumblr',array(
		'label'	=> __('Add Tumblr link','multipurpose-blog'),
		'section'	=> 'multipurpose_blog_topbar_header',
		'setting'	=> 'multipurpose_blog_tumblr',
		'type'		=> 'url'
	));

	//home page slider
	$wp_customize->add_section( 'multipurpose_blog_slidersettings' , array(
    	'title'      => __( 'Slider Settings', 'multipurpose-blog' ),
		'priority'   => null,
		'panel' => 'multipurpose_blog_panel_id'
	) );

	$wp_customize->add_setting('multipurpose_blog_slider_hide',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('multipurpose_blog_slider_hide',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide slider','multipurpose-blog'),
       'section' => 'multipurpose_blog_slidersettings',
    ));

	for ( $count = 1; $count <= 4; $count++ ) {

		// Add color scheme setting and control.
		$wp_customize->add_setting( 'multipurpose_blog_slidersettings_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'multipurpose_blog_sanitize_dropdown_pages'
		) );

		$wp_customize->add_control( 'multipurpose_blog_slidersettings_page' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'multipurpose-blog' ),
			'section'  => 'multipurpose_blog_slidersettings',
			'type'     => 'dropdown-pages'
		) );
	}

	//Slider excerpt
	$wp_customize->add_setting( 'multipurpose_blog_slider_excerpt_number', array(
		'default'              => 30,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'multipurpose_blog_slider_excerpt_number', array(
		'label'       => esc_html__( 'Slider Content Limit','multipurpose-blog' ),
		'section'     => 'multipurpose_blog_slidersettings',
		'type'        => 'number',
		'settings'    => 'multipurpose_blog_slider_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	//photography section
  	$wp_customize->add_section('multipurpose_blog_photo_section',array(
	    'title' => __('Photography Section','multipurpose-blog'),
	    'description' => '',
	    'priority'  => null,
	    'panel' => 'multipurpose_blog_panel_id',
	));  
 
	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($categories as $category){
	if($i==0){
	$default = $category->slug;
	$i++;
	}
	$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('multipurpose_blog_photo_setting',array(
	    'default' => 'select',
	    'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
  	));
  	$wp_customize->add_control('multipurpose_blog_photo_setting',array(
	    'type'    => 'select',
	    'choices' => $cat_post,
	    'label' => __('Select Category to display Latest Post','multipurpose-blog'),
	    'section' => 'multipurpose_blog_photo_section',
	));

	//Footer section
  	$wp_customize->add_section('multipurpose_blog_footer',array(
	    'title' => __('Footer Section','multipurpose-blog'),
	    'priority'  => null,
	    'panel' => 'multipurpose_blog_panel_id',
	));  

	$wp_customize->add_setting('footer_widget_areas',array(
        'default'           => '3',
        'sanitize_callback' => 'multipurpose_blog_sanitize_choices',
    ));
    $wp_customize->add_control('footer_widget_areas',array(
        'type'        => 'radio',
        'label'       => __('Footer widget area', 'multipurpose-blog'),
        'section'     => 'multipurpose_blog_footer',
        'description' => __('Select the number of widget areas you want in the footer. After that, go to Appearance > Widgets and add your widgets.', 'multipurpose-blog'),
        'choices' => array(
            '1'     => __('One', 'multipurpose-blog'),
            '2'     => __('Two', 'multipurpose-blog'),
            '3'     => __('Three', 'multipurpose-blog'),
            '4'     => __('Four', 'multipurpose-blog')
        ),
    ));

  	$wp_customize->add_setting('multipurpose_blog_footer_copy',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('multipurpose_blog_footer_copy',array(
		'label'	=> __('Footer Text','multipurpose-blog'),
		'section'	=> 'multipurpose_blog_footer',
		'setting'	=> 'multipurpose_blog_footer_copy',
		'description' =>  __('Add some text for footer like copyright etc.','multipurpose-blog'),
		'type'		=> 'text'
	));
    
}

add_action( 'customize_register', 'multipurpose_blog_customize_register' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
if ( ! class_exists ( 'multipurpose_blog_customize' ) ) {
	final class Multipurpose_Blog_Customize {

		/**
		 * Returns the instance.
		 *
		 * @since  1.0.0
		 * @access public
		 * @return object
		 */
		public static function get_instance() {

			static $instance = null;

			if ( is_null( $instance ) ) {
				$instance = new self;
				$instance->setup_actions();
			}

			return $instance;
		}

		/**
		 * Constructor method.
		 *
		 * @since  1.0.0
		 * @access private
		 * @return void
		 */
		private function __construct() {}

		/**
		 * Sets up initial actions.
		 *
		 * @since  1.0.0
		 * @access private
		 * @return void
		 */
		private function setup_actions() {

			// Register panels, sections, settings, controls, and partials.
			add_action( 'customize_register', array( $this, 'sections' ) );

			// Register scripts and styles for the controls.
			add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
		}

		/**
		 * Sets up the customizer sections.
		 *
		 * @since  1.0.0
		 * @access public
		 * @param  object  $manager
		 * @return void
		 */
		public function sections( $manager ) {

			// Load custom sections.
			load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

			// Register custom section types.
			$manager->register_section_type( 'Multipurpose_Blog_Customize_Section_Pro' );

			// Register sections.
			$manager->add_section(new Multipurpose_Blog_Customize_Section_Pro($manager,'example_1',array(
				'priority'   => 1,
				'title'    => esc_html__( 'Multipurpose Blog Pro', 'multipurpose-blog' ),
				'pro_text' => esc_html__( 'Go Pro', 'multipurpose-blog' ),
				'pro_url'  => esc_url('https://www.buywptemplates.com/themes/multipurpose-blog-wordpress-theme/'),
			)));
		}

		/**
		 * Loads theme customizer CSS.
		 *
		 * @since  1.0.0
		 * @access public
		 * @return void
		 */
		public function enqueue_control_scripts() {

			wp_enqueue_script( 'multipurpose-blog-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

			wp_enqueue_style( 'multipurpose-blog-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
		}

		//Footer widget areas
		function multipurpose_blog_sanitize_choices( $input ) {
		    $valid = array(
		        '1'     => __('One', 'multipurpose-blog'),
		        '2'     => __('Two', 'multipurpose-blog'),
		        '3'     => __('Three', 'multipurpose-blog'),
		        '4'     => __('Four', 'multipurpose-blog')
		    );
		    if ( array_key_exists( $input, $valid ) ) {
		        return $input;
		    } else {
		        return '';
		    }
		}

	}

	// Doing this customizer thang!
	Multipurpose_Blog_Customize::get_instance();
}